---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "litellm_organizations Data Source - terraform-provider-litellm"
subcategory: ""
description: |-
  Lists LiteLLM organizations.
---

# litellm_organizations (Data Source)

Lists LiteLLM organizations via `/organization/list`.

## Example Usage

```terraform
data "litellm_organizations" "all" {}

output "organization_ids" {
  value = data.litellm_organizations.all.ids
}
```

## Argument Reference

The following arguments are supported:

* `org_alias` - (Optional) Filter organizations by alias.

## Attributes Reference

In addition to all arguments above, the following attributes are exported:

* `ids` - IDs of the returned organizations.
* `organizations` - List of organization objects. Each entry exports:
  * `organization_id` - Unique identifier of the organization.
  * `organization_alias` - User-friendly name of the organization.
  * `budget_id` - ID of the attached budget.
  * `models` - Models the organization can access.
  * `spend` - Amount spent by the organization.
  * `max_budget` - Maximum budget from the attached budget.
  * `tpm_limit` - Tokens per minute limit from the attached budget.
  * `rpm_limit` - Requests per minute limit from the attached budget.
  * `budget_duration` - Budget reset duration from the attached budget.
  * `created_at` - Creation timestamp.
  * `updated_at` - Last update timestamp.
